﻿using System;

using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Net;
using System.Data;
using System.Collections.Generic;
using ASPSnippets.FaceBookAPI;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        FaceBookConnect.API_Key = "<API Key>";
        FaceBookConnect.API_Secret = "<API Secret>";
        if (!IsPostBack)
        {
            if (Request.QueryString["login"] == "1")
            {
                FaceBookConnect.Authorize("publish_actions", Request.Url.AbsoluteUri.Split('?')[0]);
                return;
            }
            if (Request.QueryString["code"] != null)
            {
                Session["Code"] = Request.QueryString["code"];
                ClientScript.RegisterStartupScript(GetType(), "script", "window.opener.location.reload(); window.close();", true);
                return;
            }
            if (Session["Code"] != null)
            {
                imgFaceBook.AlternateText = "share";
                imgFaceBook.ImageUrl = "~/img/fbshare.png";
            }
            LoadImages();
        }
    }

    protected void ShareImage(object sender, EventArgs e)
    {
        string imageUrl = Request.Form["image_url"];
        Dictionary<string, string> data = new Dictionary<string, string>();
        data.Add("link", imageUrl);
        data.Add("picture", imageUrl);
        FaceBookConnect.Post(Session["Code"].ToString(), "me/feed", data);
        ClientScript.RegisterStartupScript(GetType(), "alert", "alert('Image has been shared.');", true);
    }

    private void LoadImages()
    {
        DataTable dt = new DataTable();
        dt.Columns.Add("ImageUrl", typeof(string));
        dt.Rows.Add("http://farm4.staticflickr.com/3792/9147205860_5da6951bf4_m.jpg");
        dt.Rows.Add("http://farm6.staticflickr.com/5349/9096039944_1bcfb9d0a5_m.jpg");
        dt.Rows.Add("http://farm9.staticflickr.com/8380/8474516903_8a5eb01b51_m.jpg");
        dt.Rows.Add("http://farm6.staticflickr.com/5446/7093203455_c4fc025ef6_m.jpg");
        dt.Rows.Add("http://farm9.staticflickr.com/8395/8985239089_4318196db2_m.jpg");
        dt.Rows.Add("http://farm4.staticflickr.com/3723/8986453414_a869ddc3aa_m.jpg");
        this.dlImages.DataSource = dt;
        this.dlImages.DataBind();
    }

}